<?php
/**
 * api: yourapp
 * title: Example plugin
 * description: Demonstrates the plugin meta data fields.
 * type: functions
 * category: example
 * author: nobody
 * url: http://www.google.com/search?q=generic+php+example+plugin
 * license: GNU GPL v2.1+/v3.0
 * config:
 *    <var name="app_settings[example]" type="text" value="sample value" title="example setting" description="Just defines a random variable" set="always" />
 * provides: example-plugin
 * hooks: content
 * sort: 10
 * x_depends: php
 * 
 * This example PHP plugin script, just list a few possible meta
 * fields. It hooks into our example applications "content" plugin
 * registry for later execution.
 *
 */



// plugin registration is of course api: and application-specific,
// you would do that differently for other PHP systems
$app_plugins["content"][] = "yourapp__example_plugin";



/**
 *
 * simplest possible interface: just returns some HTML output
 *
 * @author nobody
 * @return string   HTML output
 */
function yourapp__example_plugin() {
   global $app_settings;

   return '<div class="plugin content">'
        . "<p>This is the output from the 'example' plugin.</p>"
        . "<p>It has set the variable app_settings[example] to \"{$app_settings[example]}\".</p>"
        . ' </div>';

}


?>