<?php
/**
 * api: yourapp
 * title: Sidebar plugin
 * description: A simple sidebar plugin API for our example App.
 * type: functions
 * category: sidebar
 * config:
 *    <var name="app_settings[sidebar_title]" type="text" value="sidebar title" title="sidebar title" description="what title this plugin shows in the sidebar" set="always" />
 * hooks: sidebar
 * sort: 5
 * 
 * This example PHP plugin script, just list a few possible meta
 * fields. It hooks into our example applications "content" plugin
 * registry for later execution.
 *
 */



// plugin registration is of course api: and application-specific,
// you would do that differently for other PHP systems
$app_plugins["sidebar"][] = "yourapp__sidebar5";



/**
 *
 * simplest possible interface: just returns some HTML output
 *
 * @author nobody
 * @return string   HTML output
 */
function yourapp__sidebar5() {
   global $app_settings;

   return '<div class="plugin sidebar">'
        . "<h3>{$app_settings[sidebar_title]}</h3>"
        . "<p>Output from a generic sidebar plugin.</p>"
        . ' </div>';

}


?>