<?php
#
# simple script that provides a repository list
# - just scans current directory for .php plugins
# - outputs meta data as serialized string
# - applys a download base url
# - obviously downloadable .php files must be turned into text/plain or app/oct
#   with an appropriate .htaccess rule before
#

// base download_url 
$url = "http://www/sf.net/genericphpconfig/";


#-- read
include("lib/pluginmetadata.php");
$meta = new generic_pmd();
$meta->scan(".");

#-- mangle
foreach ($meta->plugin as $id=>$row) {
    $meta->plugin[$id]["download_url"] = $url . $meta->plugin[$id]["fn"];
    $meta->plugin[$id]["verfified"] = 0;
    $meta->plugin[$id]["user_votes"] = rand(0,9);
    $meta->plugin[$id]["download_count"] = rand(50,200);
}

#-- output
header("Content-Type: application/x-php-plugin-repository");
print serialize($meta->plugin);

?>